Bug 1008147 - Neutron services are not listed in openstack-status
Neutron services are not listed in openstack-status
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: RHOS Maint
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 04:32 EDT by Ofer Blaut
Modified: 2016-04-26 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-utils-2013.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 04:30:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current service list (6.88 KB, text/plain)
2013-09-15 04:33 EDT, Ofer Blaut
no flags Details

  None (edit)
Description Ofer Blaut 2013-09-15 04:32:10 EDT
Description of problem:

Neutron services are not listed in openstack-status as in the past.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install RDO with neutron
2.check openstack-status on all host contain neutron service ( server/L2/L3/dhcp agents

3.

Actual results:


Expected results:


Additional info:
Comment 1 Ofer Blaut 2013-09-15 04:33:14 EDT
Created attachment 797824 [details]
current service list
Comment 2 Kashyap Chamarthy 2013-12-09 04:30:04 EST
Should be fixed in version -- openstack-utils-2013.2-2.el6.

On my two node Havana setup, Neutron services /are/ listed properly:
-----
$ openstack-status | grep neutron
== neutron services ==
neutron-server:                         active
neutron-dhcp-agent:                     active
neutron-l3-agent:                       active
neutron-metadata-agent:                 active
neutron-lbaas-agent:                    inactive  (disabled on boot)
neutron-openvswitch-agent:              active
neutron-linuxbridge-agent:              inactive  (disabled on boot)
neutron-ryu-agent:                      inactive  (disabled on boot)
neutron-nec-agent:                      inactive  (disabled on boot)
neutron-mlnx-agent:                     inactive  (disabled on boot)
-----
$ rpm -qf /usr/bin/openstack-status
openstack-utils-2013.2-2.fc21.noarch
-----

(Although, my setup is Fedora, as you can see above the same version is available for EPEL too.)

Closing this as fixed UPSTREAM. If it's still an issue for you, feel free to re-open with relevant info.
Comment 3 Kashyap Chamarthy 2013-12-09 17:46:47 EST
The fixes are already present in Havana and are in RDO repos, so fixed in CURRENTRELEASE and update the "Fixed In Version" field. 

 http://repos.fedorapeople.org/repos/openstack/openstack-havana/fedora-19/
 http://repos.fedorapeople.org/repos/openstack/openstack-havana/epel-6/


(Thanks to Perry, for reminding the bugzilla flow.)

Note You need to log in before you can comment on or make changes to this bug.